libetonyek::IWORKPushCollector< Type, Container > Class Template Reference

`#include <IWORKPushCollector.h>`

## Public Member Functions
| IWORKPushCollector (Container &collection)
template<class Context, class State>
IWORKXMLContextPtr_t | makeContext (State &state)
bool | pending () const
void | push ()

## Private Attributes
Container & | m_collection
boost::optional< Type > | m_value

## Constructor & Destructor Documentation

## ◆ IWORKPushCollector()

template<typename Type, class Container = std::deque<Type>>

libetonyek::IWORKPushCollector< Type, Container >::IWORKPushCollector | ( | Container & | collection | ) |
| inline explicit

## Member Function Documentation

## ◆ makeContext()

template<typename Type, class Container = std::deque<Type>>
template<class Context, class State>

IWORKXMLContextPtr_t libetonyek::IWORKPushCollector< Type, Container >::makeContext | ( | State & | state | ) |
| inline

## ◆ pending()

template<typename Type, class Container = std::deque<Type>>

bool libetonyek::IWORKPushCollector< Type, Container >::pending | ( |  | ) | const
| inline

## ◆ push()

template<typename Type, class Container = std::deque<Type>>

void libetonyek::IWORKPushCollector< Type, Container >::push | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_collection

template<typename Type, class Container = std::deque<Type>>

Container& libetonyek::IWORKPushCollector< Type, Container >::m_collection
| private

Referenced by IWORKPushCollector(), and push().

## ◆ m_value

template<typename Type, class Container = std::deque<Type>>

boost::optional<Type> libetonyek::IWORKPushCollector< Type, Container >::m_value
| private

Referenced by IWORKPushCollector(), makeContext(), pending(), and push().

The documentation for this class was generated from the following file:

- IWORKPushCollector.h